# -*- coding: utf-8 -*-
from setuphelpers import *
import glob
import requests
import shutil

try:
    import bs4 as BeautifulSoup
except:
    import BeautifulSoup


uninstallkey = []

def install():
    install_dmg("TeamViewer.dmg")

def uninstall():
    shutil.rmtree('/Applications/TeamViewer.app')

def update_package():
    proxies = {}
    if isfile(makepath(application_data(),'waptconsole','waptconsole.ini')):
        proxywapt = inifile_readstring(makepath(user_local_appdata(),'waptconsole','waptconsole.ini'),'global','http_proxy')
        if proxywapt :
            proxies = {'http':proxywapt,'https':proxywapt}


    if isfile('TeamViewer.dmg'):
        remove_outdated_binaries('TeamViewer.dmg')

    if not isfile('TeamViewer.dmg'):
        wget('https://dl.teamviewer.com/download/version_15x/TeamViewer.dmg',"TeamViewer.dmg",proxies=proxies)

    url = 'https://www.teamviewer.com/en-us/download/mac-os/'
   # Getting latest version from official website
    for elem in bs_find_all(url,'p',proxies=proxies):
        if 'Current version' in elem.text:
            version = elem.text.split(' ')[-1]

    # Changing version of the package
    control.version = '%s-%s'%(version,int(control.version.split('-')[-1])+1)
    control.save_control_to_wapt()
    print('Changing version to: %s in WAPT\\control' % control.version)


def bs_find_all(url, element, attribute=None, value=None, headers={'User-Agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:78.0) Gecko/20100101 Firefox/78.0'}, proxies=None, features='html.parser', **kwargs):
    """"You may need to use a header for some websites. For example: headers={'User-Agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:78.0) Gecko/20100101 Firefox/78.0'}
    """
    page = requests.get(url, proxies=proxies, headers=headers, **kwargs).text
    soup = BeautifulSoup.BeautifulSoup(page, features=features)
    if value:
        return soup.find_all(element, {attribute:value})
    else:
        return soup.find_all(element)




